post
https://gamma.api.springbig.technology/general/v1/message_templates
Optional arguments are supported when creating template messages. The values accepted are integers only.
Please follow the format as seen here
%{CUSTOM_1}
%{CUSTOM_2}
and so on...
we also support native templates such as:
%{MEMBER_FIRST_NAME}
%{MEMBER_LAST_NAME}
An example template can look like this
"message": "Creating a template test: welcome %{MEMBER_FIRST_NAME}. order number %{CUSTOM_1} is ready! you have %{CUSTOM_2} attempts left out of %{CUSTOM_A3}, for fun %{CUSTOM_4}"
}```A template message can support arguments. We support both native arguments and custom arguments.
Native Arguments
Native arguments are predefined and include:
%{MEMBER_FIRST_NAME}%{MEMBER_LAST_NAME}%{MERCHANT_DBA}
Custom Arguments
Custom arguments use the following format:
{CUSTOM_X}where X is an integer value (for example,{CUSTOM_1},{CUSTOM_2})
Requirements
- Custom arguments can only return integer values.
- String values are not supported for custom arguments.
Example Template Message
The following template demonstrates a combination of native and custom arguments:
{
"message": "Creating a template test: welcome %{MEMBER_FIRST_NAME}. Order number %{CUSTOM_1} is ready! You have %{CUSTOM_2} attempts left out of %{CUSTOM_3}. For fun %{CUSTOM_4}."
}
